# Standard things

sp 		:= $(sp).x
dirstack_$(sp)	:= $(d)
d		:= $(dir)

# Subdirectories, in random order

dir	:= $(d)/database
include		$(dir)/Rules.mk

# Local variables

OBJS_$(d)	:= $(d)/cserver.o $(d)/create_unique_file.o $(d)/wire.o \
                   $(d)/reregister.o $(d)/register.o $(d)/logging.o \
                   $(d)/submit.o $(d)/unregister.o $(d)/recharge.o \
                   $(d)/address_book/address_book.o $(d)/address_book/dbmain.o\
                   $(d)/url_encode.o $(d)/address_book/libs.o

DEPS_$(d)	:= $(OBJS_$(d):%=%.d)

TGT_BIN := $(TGT_BIN) $(d)/cserver
CLEAN	:= $(CLEAN) $(OBJS_$(d)) $(DEPS_$(d)) $(d)/cserver 

# Local rules

$(OBJS_$(d)):	CF_TGT := -I$(d) -I$(d)/database -I/usr/local/BerkeleyDB.4.1/include -I$(d)/address_book

LL_TGT := -L/usr/local/BerkeleyDB.4.1/lib -ldb

$(d)/cserver: $(OBJS_$(d)) $(d)/database/libn.a

# Standard things

-include	$(DEPS_$(d))

d		:= $(dirstack_$(sp))
sp		:= $(basename $(sp))
